Kodi borged during upgrade from Bullseye to Bookworm

Allo DAC
G_DIETPI_VERSION_CORE=9
G_DIETPI_VERSION_SUB=1
G_DIETPI_VERSION_RC=1
G_GITBRANCH=‘beta’
G_GITOWNER=‘MichaIng’
bullseye 0
Linux hifi 6.1.21-v8+ #1642 SMP PREEMPT Mon Apr 3 17:24:16 BST 2023 aarch64 GNU/Linux
arm64
RPi 4 Model B (aarch64)

First i wasn’t offered to backup when running the upgrade script

sudo bash < <(curl -sSf 'https://raw.githubusercontent.com/MichaIng/DietPi/master/.meta/dietpi-bookworm-upgrade')

could this have happened because i was in a byobu?

Configuration file '/etc/mpd.conf'
 ==> Modified (by you or by a script) since installation.
 ==> Package distributor has shipped an updated version.
 ==> Keeping old config file as default.
Setting up xarchiver (1:0.5.4.20-2) ...
Setting up kodi-bin (3:20.3-3~bookworm) ...
Setting up lxterminal (0.4.0-2) ...
Setting up libavdevice59:arm64 (8:5.1.4-0+rpt2+deb12u1) ...
Setting up galculator (2.1.4-1.2) ...
Setting up ffmpeg (8:5.1.4-0+rpt2+deb12u1) ...
Setting up pipewire-pulse (0.3.65-3+rpt5+deb12u1) ...
Setting up glib-networking:arm64 (2.74.0-4) ...
Setting up libayatana-indicator3-7:arm64 (0.9.3-1) ...
Setting up lightdm-gtk-greeter (2.0.8-2+b1) ...
Setting up libgspell-1-2:arm64 (1.12.0-1+b2) ...
Setting up lightdm (1.26.0-8+rpt3) ...
Installing new version of config file /etc/lightdm/lightdm.conf ...
Setting up libsoup2.4-1:arm64 (2.74.3-1) ...
Setting up libmousepad0:arm64 (0.5.10-2) ...
Setting up mousepad (0.5.10-2) ...
Setting up libsoup-gnome2.4-1:arm64 (2.74.3-1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for libc-bin (2.36-9+rpt2+deb12u4) ...
Processing triggers for systemd (252.22-1~deb12u1) ...
Processing triggers for mariadb-server-10.5 (1:10.5.23-0+deb11u1) ...
Processing triggers for debianutils (5.7-0.5~deb12u1) ...
Processing triggers for sgml-base (1.31) ...
Setting up polkitd (122-3) ...
Creating group 'polkitd' with GID 995.
Creating user 'polkitd' (polkit) with UID 995 and GID 995.
Setting up pkexec (122-3) ...
Setting up policykit-1 (122-3) ...
Removing obsolete conffile /etc/pam.d/polkit-1 ...
Removing obsolete conffile /etc/polkit-1/localauthority.conf.d/50-localauthority.conf ...
Removing obsolete conffile /etc/polkit-1/localauthority.conf.d/51-debian-sudo.conf ...
Setting up kodi (3:20.3-3~bookworm) ...
dpkg: error processing package kodi (--configure):
 installed kodi package post-installation script subprocess returned error exit status 1
Setting up lxsession-logout (0.5.5-2+b1) ...
Setting up lxpolkit (0.5.5-2+b1) ...
Setting up lxsession (0.5.5-2+b1) ...
Processing triggers for dictionaries-common (1.29.5) ...
Processing triggers for ca-certificates (20230311) ...
Updating certificates in /etc/ssl/certs...
0 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d...
done.
Processing triggers for php8.2-cli (8.2.7-1~deb12u1) ...
Processing triggers for php8.2-phpdbg (8.2.7-1~deb12u1) ...
Processing triggers for libgdk-pixbuf-2.0-0:arm64 (2.42.10+dfsg-1+b1) ...
Errors were encountered while processing:
 kodi
E: Sub-process /usr/bin/dpkg returned an error code (1)

[FAILED] dietpi-bookworm-upgrade | Unable to continue, dietpi-bookworm-upgrade will now terminate.

Probably best to remove Kodi before going to upgrade to Bookworm

think i found the solution, finished update, going to reboot now and check

sudo mkdir -p /etc/polkit-1/localauthority/50-local.d

So one has no way of archiving what was watched and what wasn’t?
Wonder if running Jellyfin on NAS might be the better option here for rpi4 Allo DAC, haven’t used it yet and not sure if UI is as easy to handle as kodi